Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class ImageHeightField

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.imp3d.objects.HeightField
                  de.grogra.imp3d.objects.ImageHeightField

All Implemented Interfaces:
  ContextDependent, VertexGrid, VertexSet, Manageable, Shareable

    public class ImageHeightField

extends HeightField

Nested Class Summary
`static class` | `ImageHeightField.Type`

Field Summary
`static ImageHeightField.Type` | `$TYPE`
`static SCOType.Field` | `image$FIELD`

Fields inherited from class de.grogra.imp3d.objects.HeightField
`mapping$FIELD`

Constructor Summary
`ImageHeightField()`

Method Summary
`float` | `getHeight(int x, int y, GraphState gs)`
`ImageAdapter` | `getImage()`
`ManageableType` | `getManageableType()`
`int` | `getUSize(GraphState gs)`
`int` | `getVSize(GraphState gs)`
`void` | `setImage(ImageAdapter value)`

Methods inherited from class de.grogra.imp3d.objects.HeightField
`dependsOnContext, getDimension, getMapping, getVertex, getVertexIndex, isRational, setMapping`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`writeStamp`

Field Detail

### $TYPE

    public static final ImageHeightField.Type $TYPE

### image$FIELD

    public static final SCOType.Field image$FIELD

Constructor Detail

### ImageHeightField

    public ImageHeightField()

Method Detail

### getHeight

    public float getHeight(int x,
                           int y,
                           GraphState gs)

  Specified by:
    `getHeight` in class `HeightField`

### getImage

    public ImageAdapter getImage()

### getManageableType

    public ManageableType getManageableType()

### getUSize

    public int getUSize(GraphState gs)

### getVSize

    public int getVSize(GraphState gs)

### setImage

    public void setImage(ImageAdapter value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD